Show / Hide Table of Contents

# Class OpenIddictTokenDescriptor

Represents an OpenIddict token descriptor.

##### Inheritance

System.Object
OpenIddictTokenDescriptor

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictTokenDescriptor

### Properties

#### ApplicationId

Gets or sets the application identifier associated with the token.

##### Declaration

    public string ApplicationId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### AuthorizationId

Gets or sets the authorization identifier associated with the token.

##### Declaration

    public string AuthorizationId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CreationDate

Gets or sets the creation date associated with the token.

##### Declaration

    public DateTimeOffset? CreationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### ExpirationDate

Gets or sets the expiration date associated with the token.

##### Declaration

    public DateTimeOffset? ExpirationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### Payload

Gets or sets the payload associated with the token.

##### Declaration

    public string Payload { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Principal

Gets or sets the optional principal associated with the token. Note: this property is not stored by the default token stores.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Properties

Gets the additional properties associated with the token.

##### Declaration

    public Dictionary<string, JsonElement> Properties { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<System.String, JsonElement> |

#### RedemptionDate

Gets or sets the redemption date associated with the token.

##### Declaration

    public DateTimeOffset? RedemptionDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

#### ReferenceId

Gets or sets the reference identifier associated with the token. Note: depending on the application manager used when creating it, this property may be hashed or encrypted for security reasons.

##### Declaration

    public string ReferenceId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Status

Gets or sets the status associated with the token.

##### Declaration

    public string Status { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Subject

Gets or sets the subject associated with the token.

##### Declaration

    public string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Type

Gets or sets the token type.

##### Declaration

    public string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |